Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TextTranscription2TRS.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TextTranscription2TRS.groovy	(revision 1958)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TextTranscription2TRS.groovy	(revision 1959)
@@ -27,7 +27,6 @@
 
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.utils.xml.DomUtils;
-import org.w3c.tidy.Tidy
 import org.txm.doc.*;
 
 import javax.xml.stream.*;
@@ -37,6 +36,7 @@
 
 import org.txm.scripts.importer.*;
 import org.xml.sax.Attributes;
+import org.txm.importer.ConvertDocument;
 import org.txm.importer.scripts.filters.*;
 
 import java.io.File;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TXT2TRS.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TXT2TRS.groovy	(revision 1958)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/transcription/TXT2TRS.groovy	(revision 1959)
@@ -21,7 +21,6 @@
 package org.txm.macro.transcription
 
 import org.txm.utils.xml.DomUtils;
-import org.w3c.tidy.Tidy
 import org.txm.doc.*
 
 import javax.xml.stream.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/utils/ApplyPropertiesMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/utils/ApplyPropertiesMacro.groovy	(revision 1958)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/utils/ApplyPropertiesMacro.groovy	(revision 1959)
@@ -1,4 +1,4 @@
-// Copyright © 2017 ENS de Lyon, CNRS, University of Franche-Comté
+// Copyright © 2019 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
 
@@ -8,7 +8,6 @@
 import groovy.transform.Field
 import org.txm.rcpapplication.swt.widget.parameters.*
 import org.txm.utils.Timer
-import org.txm.importer.XPathResult
 
 @Field @Option(name="propertiesFile", usage="properties parameter file", widget="File", required=true, def="")
 def propertiesFile
@@ -35,7 +34,7 @@
 macro = macro.substring(0, macro.lastIndexOf(".groovy"))
 
 pkg = macroFile.getParentFile().getAbsolutePath()
-pkg = pkg.substring(pkg.indexOf("/TXM/scripts/macro/")+"/TXM/scripts/macro/".length())
+pkg = pkg.substring(pkg.indexOf("scripts/groovy/user/")+"scripts/groovy/user/".length())
 pkg = pkg.replace("/", ".")
 
 fullclassname = "$pkg.$macro"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/Index2barplotMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/Index2barplotMacro.groovy	(revision 1958)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/r/Index2barplotMacro.groovy	(revision 1959)
@@ -20,9 +20,7 @@
 	((Index)sel).asRMatrix()
 	symbol = "t("+((Index)sel).getSymbol()+'$data)'
 	prop = ((Index)sel).getProperties().toString()
-}
-
-if (symbol == null) {
+} else {
 	println "Selection is not an Index. Aborting."
 	return
 }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/text/Text2TXTMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/text/Text2TXTMacro.groovy	(revision 1958)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/text/Text2TXTMacro.groovy	(revision 1959)
@@ -5,7 +5,7 @@
 import groovy.transform.Field
 import org.txm.rcp.swt.widget.parameters.*
 import org.txm.doc.*;
-import org.txm.scripts.importer.*;
+import org.txm.importer.*;
 
 // BEGINNING OF PARAMETERS
 @Field @Option(name="inputDirectory", usage="the directory containing the DOC/ODT/RTF files to convert", widget="Folder", required=true, def="")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/stats/BasicVocabularyMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/stats/BasicVocabularyMacro.groovy	(revision 1958)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/stats/BasicVocabularyMacro.groovy	(revision 1959)
@@ -67,11 +67,11 @@
 
 def output = new File(outputDirectory.toString()+"/"+outputFile)
 def writer = output.newWriter("UTF-8")
-def specif = corpusViewSelection
+Specificities specif = corpusViewSelection
 def indices = specif.getSpecificitesIndex()
-def freqs = specif.getFrequency()
+def freqs = specif.getFrequencies()
 def rownames = specif.getTypeNames()
-def colnames = specif.getPartShortNames()
+def colnames = specif.getColumnsNames()
 
 def selected = []
 
